Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/__init__.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/__init__.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/__init__.py	(revision 7811)
@@ -2,6 +2,6 @@
 """
 # Make this a package.
-from waeup.sirp.payments.container import PaymentsContainer
-from waeup.sirp.payments.payment import SCPayment, OnlinePayment
+from waeup.kofa.payments.container import PaymentsContainer
+from waeup.kofa.payments.payment import SCPayment, OnlinePayment
 
 __all__ = [
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/container.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/container.py	(revision 7811)
@@ -21,6 +21,6 @@
 import grok
 from grok import index
-from waeup.sirp.payments.interfaces import IPaymentsContainer
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.payments.interfaces import IPaymentsContainer
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class PaymentsContainer(grok.Container):
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 7811)
@@ -18,8 +18,8 @@
 from zope.interface import Attribute
 from zope import schema
-from waeup.sirp.interfaces import ISIRPObject, SimpleSIRPVocabulary
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import IKOFAObject, SimpleKOFAVocabulary
+from waeup.kofa.interfaces import MessageFactory as _
 
-payment_states = SimpleSIRPVocabulary(
+payment_states = SimpleKOFAVocabulary(
     (_('Not yet paid'),'unpaid'),
     (_('Paid'),'paid'),
@@ -27,5 +27,5 @@
     )
 
-payment_categories = SimpleSIRPVocabulary(
+payment_categories = SimpleKOFAVocabulary(
     (_('School Fee'),'schoolfee'),
     (_('Clearance'),'clearance'),
@@ -37,10 +37,10 @@
     )
 
-class IPaymentsContainer(ISIRPObject):
+class IPaymentsContainer(IKOFAObject):
     """A container for all kind of payment objects.
 
     """
 
-class IPayment(ISIRPObject):
+class IPayment(IKOFAObject):
     """A base representation of payments.
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py	(revision 7811)
@@ -22,8 +22,8 @@
 from datetime import datetime
 from grok import index
-from waeup.sirp.payments.interfaces import (
+from waeup.kofa.payments.interfaces import (
     IPayment, ISCPayment, IOnlinePayment,
     payment_states, payment_categories)
-from waeup.sirp.utils.helpers import attrs_to_fields
+from waeup.kofa.utils.helpers import attrs_to_fields
 
 class Payment(grok.Container):
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/tests.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/tests.py	(revision 7809)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/tests.py	(revision 7811)
@@ -20,10 +20,10 @@
 """
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.payments.interfaces import (
+from waeup.kofa.payments.interfaces import (
     IPaymentsContainer, ISCPayment, IOnlinePayment)
-from waeup.sirp.payments.container import PaymentsContainer
-from waeup.sirp.payments.payment import (
+from waeup.kofa.payments.container import PaymentsContainer
+from waeup.kofa.payments.payment import (
     SCPayment, OnlinePayment)
-from waeup.sirp.testing import (FunctionalLayer, FunctionalTestCase)
+from waeup.kofa.testing import (FunctionalLayer, FunctionalTestCase)
 
 class PaymentsContainerTestCase(FunctionalTestCase):
